{% extends "base.html.twig" %}  
{% block stylesheets %}
{{ parent()}}
    <link rel="stylesheet" href="{{ asset ('styles/register.css')}}">
{% endblock %}
{% block content %}
      <div class="error__messages">
            {% if userExist == true %}
                <div class="register__error">
                    <p>El usuario ya existe</p>
                </div>
            {% endif %}
        </div>
         {% for message in app.flashes('notice') %}
                <div class="flash-notice">
                    {{ message }}
                </div>
                {% endfor %}
 
    <div class="register__container">
         {{ form_start(newForm) }}
            <h1 class="register__title">Create form</h1>
          
            <div class="register__options">
               {{ form_label(newForm.username, 'Username', { 'label_attr': {'class': 'register__label','value': "{{user.username}}" }}) }}
                {{ form_widget(newForm.username,  { 'attr': {'class': 'register__input'}})}}
            </div>
            <div class="register__options">
                 {{ form_label(newForm.email, 'Email', { 'label_attr': {'class': 'register__label'} }) }}
                {{ form_widget(newForm.email,  { 'attr': {'class': 'register__input'}})}}
            </div>
            <div class="register__options">
                {{ form_label(newForm.password, 'Password', { 'label_attr': {'class': 'register__label'} }) }}
                {{ form_widget(newForm.password,  { 'attr': {'class': 'register__input'}})}}
            </div>
            <div class="register__submit">
            <label for="comments">Comments: </label>
                {{ form_widget(newForm.comments,  { 'attr': {'class': 'modify__input','cols':'40', 'rows':'5'}})}}
          
            <a class="register__back" href="{{path('users_list')}}"class="register__button">Back</a>
       {{ form_end(newForm)}}
    </div>
{% endblock %}

